body.custom-cursor {
  --asmc-base: #002a05;
}

.custom-cursor__cursor {
  display: none;
  width: 25px;
  height: 25px;
  border-radius: 100%;
  border: 1px solid var(--asmc-base);
  opacity: 0;
  transition: background-color 200ms ease-out, opacity 200ms ease-out, transform 200ms ease-out;
  position: fixed;
  pointer-events: none;
  left: 0;
  top: 0;
  transform: translate(calc(-50% + 5px), -50%);
  will-change: transform;
  z-index: 999991;
}

.custom-cursor__cursor-two {
  display: none;
  width: 10px;
  height: 10px;
  border-radius: 100%;
  background-color: var(--asmc-base);
  opacity: 0;
  position: fixed;
  left: 0;
  top: 0;
  transform: translate(-50%, -50%);
  pointer-events: none;
  transition: width 0.3s, height 0.3s, opacity 0.3s;
  will-change: transform;
  z-index: 999991;
}

@media (hover: hover) and (pointer: fine) {
  .custom-cursor__cursor,
  .custom-cursor__cursor-two {
    display: block;
  }

  .custom-cursor--active .custom-cursor__cursor {
    opacity: 1;
  }

  .custom-cursor--active .custom-cursor__cursor-two {
    opacity: 0.3;
  }
}

.custom-cursor__hover {
  background-color: var(--asmc-base);
  opacity: 0.4;
}

.custom-cursor--active .custom-cursor__cursor.custom-cursor__hover {
  opacity: 0.4;
}

.custom-cursor__innerhover {
  width: 25px;
  height: 25px;
  opacity: 0.4 !important;
}

@media (prefers-reduced-motion: reduce) {
  .custom-cursor__cursor,
  .custom-cursor__cursor-two {
    display: none;
  }
}
